package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProMenuAuthDAO;
import com.philisense.www.mapper.ProMenuAuthMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProMenuAuthDAOImpl implements ProMenuAuthDAO {
    @Autowired
    private ProMenuAuthMapper proMenuAuthMapper;

    @Override
    public int deleteByPrimaryKey(String id) {
        return proMenuAuthMapper.deleteByPrimaryKey(id);
    }

    @Override
    public Map<String, Object> selectByPrimaryKey(String id) {
        return proMenuAuthMapper.selectByPrimaryKey(id);
    }

    @Override
    public int insert(Map<String, Object> map) {
        return proMenuAuthMapper.insert(map);
    }

    @Override
    public int update(Map<String, Object> map) {
        return proMenuAuthMapper.update(map);
    }

    @Override
    public int deleteByMap(Map<String, Object> map) {
        return proMenuAuthMapper.deleteByMap(map);
    }

    @Override
    public int updateByMap(Map<String, Object> map) {
        return proMenuAuthMapper.updateByMap(map);
    }

    @Override
    public Map<String, Object> getOne(Map<String, Object> map) {
        return proMenuAuthMapper.getOne(map);
    }

    @Override
    public List<Map<String, Object>> getAll(Map<String, Object> map) {
        return proMenuAuthMapper.getAll(map);
    }

    @Override
    public List<Map<String, Object>> queryPage(Map<String, Object> map) {
        return proMenuAuthMapper.queryPage(map);
    }

    @Override
    public int count(Map<String, Object> map) {
        return proMenuAuthMapper.count(map);
    }

    @Override
    public void insertBatch(List<Map<String, Object>> list) {
        proMenuAuthMapper.insertBatch(list);
    }

    @Override
    public void deleteBatch(List<Map<String, Object>> list) {
        proMenuAuthMapper.deleteBatch(list);
    }

    @Override
    public void updateBatch(List<Map<String, Object>> list) {
        proMenuAuthMapper.updateBatch(list);
    }

    @Override
    public List<Map<String, Object>> getAllMenuTreeByAuthID(Map<String, Object> map) {
        return proMenuAuthMapper.getAllMenuTreeByAuthID(map);
    }

    @Override
    public List<Map<String, Object>> getPageAuthByMenuTreeId(Map<String, Object> map) {
        return proMenuAuthMapper.getPageAuthByMenuTreeId(map);
    }

    @Override
    public int getCountAuthByMenuTreeId(Map<String, Object> map) {
        return proMenuAuthMapper.getCountAuthByMenuTreeId(map);
    }

    @Override
    public int updateDropNode(Map<String, Object> map) {
        return proMenuAuthMapper.updateDropNode(map);
    }

    @Override
    public void deleteBatchByAuthID(Map<String, Object> map) {
        proMenuAuthMapper.deleteBatchByAuthID(map);
    }
}
